import React from 'react';
import Clock from '../../components/CommonComponent/ClockComponent/ClockComponent'
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
require('./index.css');

export default class HomeContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
        }
    }

    componentWillMount(){

    }

    componentWillReceiveProps(nextProps){

    }



    render(){
        let props = this.props;
        let {userInfo,storeInfo,judgeDoorStatus} = props;
        return(
            <div>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    userinfo={userInfo}
                    storeInfo={storeInfo}
                />
                <div className={"homeContainer"}>
                    <img className={"homeIcon"} src={UTILPATH.localImg.defaultImg} alt=""/>
                    <div className={"homeText font40"}>感谢您辛勤工作，祝您今天顺利！</div>
                    {
                        props.showClock ? <div className={"closeDoorContent "}>
                            <div className={"closeDoorText font32 colf00"}>
                                <p>关门倒数，请尽快离开店铺</p>
                                <p>请在离开前再次确保没有遗留个人物品在设备内</p>
                            </div>
                            <Clock totalTime={60}
                                   callback={judgeDoorStatus}/>
                        </div> : null
                    }
                </div>
            </div>

        )
    }
}

HomeContainer.propTypes = {
};

HomeContainer.defaultProps = {
}